import * as plugins from '../../plugins.js';
import type { IEmailDomainDkim, IEmailDomainRateLimits, IEmailDomainDnsStatus } from '../../../dist_ts_interfaces/data/email-domain.js';
export declare class EmailDomainDoc extends plugins.smartdata.SmartDataDbDoc<EmailDomainDoc, EmailDomainDoc> {
    id: string;
    domain: string;
    linkedDomainId: string;
    subdomain?: string;
    dkim: IEmailDomainDkim;
    rateLimits?: IEmailDomainRateLimits;
    dnsStatus: IEmailDomainDnsStatus;
    createdAt: string;
    updatedAt: string;
    constructor();
    static findById(id: string): Promise<EmailDomainDoc | null>;
    static findByDomain(domain: string): Promise<EmailDomainDoc | null>;
    static findAll(): Promise<EmailDomainDoc[]>;
}
